﻿/*******************************************************************************
File        : Program.cs
Description : 
--------------------------------------------------------------------------------
Functions:
--------------------------------------------------------------------------------
History:
2011/05/12 TPR Created
*******************************************************************************/
using System;
using Wiker.WIDatabase;

namespace TableDropExample
{
   /*******************************************************************************
   Class        : Program
   Description  : 
   --------------------------------------------------------------------------------
   History:
   2011/05/12 TPR Created
   *******************************************************************************/
   class Program
   {      
      /*******************************************************************************
      Function    : Main()
      Description : 
      Parameters  : string[] args - 
      Returns     : void
      --------------------------------------------------------------------------------
      History:
      2011/05/12 TPR Created
      *******************************************************************************/
      static void Main(string[] args)
      {
         WIDatabase WIDB;
         string Str;
         CDatabaseInfo DBInfo;

         /* Create DatabaseInfo object with login info  */
         DBInfo = new CDatabaseInfo();
         DBInfo.DatabaseType = eDatabaseType.SQLite;
         DBInfo.Location =  "\\WIDatabase\\Samples";
         DBInfo.DBName = "SQLite.db3";         
         DBInfo.Password = "";
         DBInfo.Port = 0;
         DBInfo.Username = "";

         /* Create WIDatabase object */         
         WIDB = new WIDatabase(DBInfo);

         /* Table.Drop([tableName]) will drop the named table from the connected DB */
         if (!WIDB.Table.Delete("tblAddress"))
            Str = string.Format("Failed to drop table tblAddress\nLastError = {0}\n{1}",WIDB.LastError.ToString(), WIDB.LastErrorMessage);
         else            
            Str = "Table tblAddress Dropped";

         Console.WriteLine(Str);   

         /* Good practice to close the DB when finished */
         WIDB.Close();         
      }      
   }/* End Class */
}/* End NameSpace */
